'use strict';

var React = require('react');

function getDefaultExportFromCjs (x) {
	return x && x.__esModule && Object.prototype.hasOwnProperty.call(x, 'default') ? x['default'] : x;
}

var classnames = {exports: {}};

var hasRequiredClassnames;function requireClassnames(){if(hasRequiredClassnames)return classnames.exports;hasRequiredClassnames=1;(function(module){(function(){var hasOwn={}.hasOwnProperty;function classNames(){var classes="";for(var i=0;i<arguments.length;i++){var arg=arguments[i];if(arg){classes=appendClass(classes,parseValue(arg));}}return classes}function parseValue(arg){if(typeof arg==="string"||typeof arg==="number"){return arg}if(typeof arg!=="object"){return ""}if(Array.isArray(arg)){return classNames.apply(null,arg)}if(arg.toString!==Object.prototype.toString&&!arg.toString.toString().includes("[native code]")){return arg.toString()}var classes="";for(var key in arg){if(hasOwn.call(arg,key)&&arg[key]){classes=appendClass(classes,key);}}return classes}function appendClass(value,newClass){if(!newClass){return value}if(value){return value+" "+newClass}return value+newClass}if(module.exports){classNames.default=classNames;module.exports=classNames;}else {window.classNames=classNames;}})();})(classnames);return classnames.exports}

var classnamesExports = requireClassnames();
var cn = /*@__PURE__*/getDefaultExportFromCjs(classnamesExports);

var s$1 = {"flex":"style-module_flex__aBzVa","flexRow":"style-module_flexRow__jmXb8","flexColumn":"style-module_flexColumn__x0vks","flexJustifyStart":"style-module_flexJustifyStart__UHINM","flexJustifyEnd":"style-module_flexJustifyEnd__oEPAM","flexJustifyCenter":"style-module_flexJustifyCenter__-8Dsn","flexJustifyBetween":"style-module_flexJustifyBetween__c-5OJ","flexJustifyAround":"style-module_flexJustifyAround__lwV-b","flexAlignStart":"style-module_flexAlignStart__7Jbs-","flexAlignEnd":"style-module_flexAlignEnd__kjNm4","flexAlignCenter":"style-module_flexAlignCenter__JqmV0","flexAlignStretch":"style-module_flexAlignStretch__Fop-Y","flexWrap":"style-module_flexWrap__ZRRcW","flexNoWrap":"style-module_flexNoWrap__5eIFD","flexWrapReverse":"style-module_flexWrapReverse__bkxIG","fullWidth":"style-module_fullWidth__DNr5p","fitContent":"style-module_fitContent__Pq5Q4","fullHeight":"style-module_fullHeight__pNy-3"};

function Flex(props){const{tag,children,className,style,direction,justify,align,wrap,gap,fitContent,fullWidth,fullHeight,...rest}=props;return /*#__PURE__*/React.createElement(tag||"div",{...rest,className:cn(s$1.flex,{[s$1.flexRow]:direction==="row",[s$1.flexColumn]:direction==="column",[s$1.flexJustifyStart]:justify==="start",[s$1.flexJustifyEnd]:justify==="end",[s$1.flexJustifyCenter]:justify==="center",[s$1.flexJustifyBetween]:justify==="between",[s$1.flexJustifyAround]:justify==="around",[s$1.flexAlignStart]:align==="start",[s$1.flexAlignEnd]:align==="end",[s$1.flexAlignCenter]:align==="center",[s$1.flexAlignStretch]:align==="stretch",[s$1.flexWrap]:typeof wrap==="boolean"?wrap:wrap==="wrap",[s$1.flexWrapNowrap]:wrap==="nowrap",[s$1.flexWrapReverse]:wrap==="wrap-reverse",[s$1.fitContent]:fitContent,[s$1.fullWidth]:fullWidth,[s$1.fullHeight]:fullHeight},className),style:{gap,...style}},children)}

function HStack(props){return /*#__PURE__*/React.createElement(React.Fragment,null,/*#__PURE__*/React.createElement(Flex,{...props,fullWidth:true,direction:"row"}))}

function Spacer(props){return /*#__PURE__*/React.createElement(React.Fragment,null,/*#__PURE__*/React.createElement("div",{className:props.className,style:{...props.style,width:props.width,height:props.height}}))}

var s = {"row":"style-module_row__YEzwv","column":"style-module_column__Z-RD9","all":"style-module_all__kOX6H","none":"style-module_none__1rPCl","fullWidth":"style-module_fullWidth__u5LFu","fullHeight":"style-module_fullHeight__8m8tM"};

function Viewport(props){const{children,className,style,direction,fullWidth,fullHeight,...rest}=props;return /*#__PURE__*/React.createElement(React.Fragment,null,/*#__PURE__*/React.createElement("div",{...rest,className:cn(className,s[direction||"none"],{[s.fullWidth]:fullWidth,[s.fullHeight]:fullHeight}),style:style},children))}

function VStack(props){return /*#__PURE__*/React.createElement(React.Fragment,null,/*#__PURE__*/React.createElement(Flex,{...props,fullWidth:true,direction:"column"}))}

exports.Flex = Flex;
exports.HStack = HStack;
exports.Spacer = Spacer;
exports.VStack = VStack;
exports.Viewport = Viewport;
//# sourceMappingURL=index.esm.js.map
